## chess.app 2.8

=== Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = gnuchess

PROJECTVERSION = 2.8
PROJECT_TYPE = Component

GLOBAL_RESOURCES = COPYING gnuchess.book

HFILES = gnuchess.h

CFILES = gnuchess.c

OTHERSRCS = Makefile Makefile.preamble


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = subproj.make
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


PROJECT_HEADERS = gnuchess.h



NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== debian/changelog ===
chess.app (2.8-6build1) plucky; urgency=medium

  * Rebuild against new multiarch framework.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 09:30:21 +0100

chess.app (2.8-6) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Yavor Doganov ]
  * Run wrap-and-sort --ast.
  * debian/patches/ftbfs-armhf.patch: New; fix FTBFS on armhf due to
    64-bit time_t (Closes: #1091252).  Thanks Lucas Nussbaum.
  * debian/patches/compiler-warnings.patch: New; taken from upstream.
  * debian/patches/improve-chessinfo-plist: Remove template description.
  * debian/rules: Enable hardening.
    (optim): Remove definition; that's done in config.mk.
    (override_dh_auto_build): Use dh_auto_build and $(verbose).  Extract a
    PNG icon for the .desktop file.
    (override_dh_link): Rename as...
    (execute_before_dh_link): ...and use dh_gnustep --app --game.  Convert
    the Localizable.strings file to fix linitan W: national-encoding.
    Install the PNG icon in the app's bundle.
  * debian/control (Build-Depends): Require gnustep-make (>= 2.9.2-2) for
    dh_gnustep's new features.  Replace imagemagick with icnsutils.
    (Section): Change to "games".
    (Depends): Remove ${gnustep:Depends}; obsolete.
    (Description): Extend a bit to placate lintian.
  * debian/Chess.1: Rename as...
  * debian/Chess.6: ...since this is a game.
  * debian/manpages: Adjust extension.
  * debian/Chess.desktop: New file.
  * debian/install: New file; install the .desktop file.
  * debian/upstream/metadata: Point to Savannah; GitHub is only a mirror.
  * debian/copyright: Add Upstream-Contact.  Replace APPLE-BSD with AML to
    pacify licenserecon.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 27 Dec 2024 08:02:50 +0200

chess.app (2.8-5) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Tue, 09 Jul 2024 19:59:00 +0000

chess.app (2.8-4) unstable; urgency=medium

  * d/control: Fix Maintainer address.
  * Bump standards version to 4.5.0.
  * Bump debhelper version to 13, drop d/compat.
  * d/control: added Rules-Requires-Root.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 18 Nov 2020 07:21:41 +0100

chess.app (2.8-3) unstable; urgency=medium

  * Add Vcs fields.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 10 Dec 2019 13:02:15 +0100

chess.app (2.8-2) unstable; urgency=medium

  * Fix debian/copyright order.
  * Bump debhelper version to 11.
  * Bump standards version to 4.2.1.
  * debian/menu: dropped.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 11 Jan 2019 14:26:35 +0100

chess.app (2.8-1) unstable; urgency=medium

  * Initial release. (Closes: #861862)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 11 Dec 2017 16:42:38 +0100

=== debian/control ===
Source: chess.app
Section: games
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders:
 Alex Myczko <tar@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 gnustep-make (>= 2.9.2-2),
 icnsutils,
 libgnustep-gui-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/gnustep-team/chess.app.git
Vcs-Browser: https://salsa.debian.org/gnustep-team/chess.app
Homepage: https://github.com/gnustep/gap/tree/master/ported-apps/Games/Chess

Package: chess.app
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Chess for GNUstep ported from OPENSTEP
 This is a GNUstep frontend for GNU Chess.  The game was originally
 written for NeXTSTEP and was later ported to GNUstep thus making it
 available on GNU/Linux and all other platforms GNUstep supports.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/GNUstep/debian/config.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined
d_app := $(CURDIR)/debian/chess.app

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(optim) $(verbose) \
	  $(shell dpkg-buildflags --export=cmdline)
	icns2png --extract --size 128 --depth 32 chess.icns

execute_before_dh_link:
	gsdh_gnustep --app --game
# Fixes lintian W: national-encoding.
	file=English.lproj/Localizable.strings; \
	  iconv --from-code=UTF-16BE --to-code=UTF-8 < $$file > \
	  $(d_app)/usr/share/GNUstep/Chess.app/$$file
# Install icon for the .desktop file.
	mv chess_128x128x32.png $(d_app)/usr/share/GNUstep/Chess.app
